Bug 1274346 - Business Data are not listed correctly in Process Instances perspective
Business Data are not listed correctly in Process Instances perspective
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
urgent Severity urgent
: CR1
: 6.2.0
Assigned To: Mauricio Salatino
Pavel Kralik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 10:28 EDT by Pavel Kralik
Modified: 2015-11-19 11:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple Timer delay is not dispalyed for 1m, 2m (58.18 KB, image/png)
2015-10-22 10:28 EDT, Pavel Kralik
no flags Details
More complex data with 3 values (54.00 KB, image/png)
2015-10-22 10:29 EDT, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2015-10-22 10:28:03 EDT
Created attachment 1085563 [details]
Simple Timer delay is not dispalyed for 1m, 2m

Description of problem:
When business data are enabled, not all provided data with the form are displayed.

Version-Release number of selected component (if applicable):
BPMS 6.2.0.ER4

How reproducible:
Always

Steps to Reproduce:
1. Start several process definitions with user input eg. SimpleTimer with various times 1m, 2m, 3m, 4m, 5m.
2. Create filter with PROCESSID=$PRC_ID
3. Enable dynamic columns eg. delay and see that not all times are displayed

Actual results:
Some dynamic column values are displayed.

Expected results:
Business data are displayed all.

Additional info:
Comment 1 Pavel Kralik 2015-10-22 10:29 EDT
Created attachment 1085564 [details]
More complex data with 3 values
Comment 3 Mauricio Salatino 2015-10-22 11:02:01 EDT
Can you please provide the process definitions that you are using?
Comment 4 Mauricio Salatino 2015-10-23 08:54:40 EDT
Pull request with the fix submitted. 
https://github.com/droolsjbpm/jbpm-console-ng/pull/202
Comment 7 Pavel Kralik 2015-11-19 11:38:23 EST
BPMS 6.2.0.CR1

Note You need to log in before you can comment on or make changes to this bug.